source: squid-ssl/trunk/fuentes/tools/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 65.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93TESTS =
94@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
95libexec_PROGRAMS = cachemgr$(CGIEXT)$(EXEEXT)
96subdir = tools
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)" \
164        "$(DESTDIR)$(man8dir)"
165PROGRAMS = $(libexec_PROGRAMS)
166am_cachemgr__CGIEXT__OBJECTS = cachemgr__CGIEXT_-cachemgr.$(OBJEXT) \
167        cachemgr__CGIEXT_-MemBuf.$(OBJEXT) \
168        cachemgr__CGIEXT_-stub_cbdata.$(OBJEXT) \
169        cachemgr__CGIEXT_-stub_debug.$(OBJEXT) \
170        cachemgr__CGIEXT_-stub_mem.$(OBJEXT) \
171        cachemgr__CGIEXT_-test_tools.$(OBJEXT) \
172        cachemgr__CGIEXT_-time.$(OBJEXT)
173cachemgr__CGIEXT__OBJECTS = $(am_cachemgr__CGIEXT__OBJECTS)
174cachemgr__CGIEXT__LDADD = $(LDADD)
175@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
176am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
177        $(am__DEPENDENCIES_1)
178am__DEPENDENCIES_3 =
179cachemgr__CGIEXT__DEPENDENCIES = $(top_builddir)/src/ip/libip.la \
180        $(top_builddir)/lib/libmiscencoding.la \
181        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
182        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
183        $(am__DEPENDENCIES_3)
184AM_V_lt = $(am__v_lt_@AM_V@)
185am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
186am__v_lt_0 = --silent
187am__v_lt_1 =
188cachemgr__CGIEXT__LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
189        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
190        $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
191        $(LDFLAGS) -o $@
192am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
193am__vpath_adj = case $$p in \
194    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
195    *) f=$$p;; \
196  esac;
197am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
198am__install_max = 40
199am__nobase_strip_setup = \
200  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
201am__nobase_strip = \
202  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
203am__nobase_list = $(am__nobase_strip_setup); \
204  for p in $$list; do echo "$$p $$p"; done | \
205  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
206  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
207    if (++n[$$2] == $(am__install_max)) \
208      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
209    END { for (dir in files) print dir, files[dir] }'
210am__base_list = \
211  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
212  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
213am__uninstall_files_from_dir = { \
214  test -z "$$files" \
215    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
216    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
217         $(am__cd) "$$dir" && rm -f $$files; }; \
218  }
219SCRIPTS = $(libexec_SCRIPTS)
220AM_V_P = $(am__v_P_@AM_V@)
221am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
222am__v_P_0 = false
223am__v_P_1 = :
224AM_V_GEN = $(am__v_GEN_@AM_V@)
225am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
226am__v_GEN_0 = @echo "  GEN     " $@;
227am__v_GEN_1 =
228AM_V_at = $(am__v_at_@AM_V@)
229am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
230am__v_at_0 = @
231am__v_at_1 =
232DEFAULT_INCLUDES =
233depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
234am__depfiles_maybe = depfiles
235am__mv = mv -f
236CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
237        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
238LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
239        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
240        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
241        $(AM_CXXFLAGS) $(CXXFLAGS)
242AM_V_CXX = $(am__v_CXX_@AM_V@)
243am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
244am__v_CXX_0 = @echo "  CXX     " $@;
245am__v_CXX_1 =
246CXXLD = $(CXX)
247CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
248        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
249        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
250AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
251am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
252am__v_CXXLD_0 = @echo "  CXXLD   " $@;
253am__v_CXXLD_1 =
254SOURCES = $(cachemgr__CGIEXT__SOURCES)
255DIST_SOURCES = $(cachemgr__CGIEXT__SOURCES)
256RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
257        ctags-recursive dvi-recursive html-recursive info-recursive \
258        install-data-recursive install-dvi-recursive \
259        install-exec-recursive install-html-recursive \
260        install-info-recursive install-pdf-recursive \
261        install-ps-recursive install-recursive installcheck-recursive \
262        installdirs-recursive pdf-recursive ps-recursive \
263        tags-recursive uninstall-recursive
264am__can_run_installinfo = \
265  case $$AM_UPDATE_INFO_DIR in \
266    n|no|NO) false;; \
267    *) (install-info --version) >/dev/null 2>&1;; \
268  esac
269man8dir = $(mandir)/man8
270NROFF = nroff
271MANS = $(man_MANS)
272RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
273  distclean-recursive maintainer-clean-recursive
274am__recursive_targets = \
275  $(RECURSIVE_TARGETS) \
276  $(RECURSIVE_CLEAN_TARGETS) \
277  $(am__extra_recursive_targets)
278AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
279        check recheck distdir
280am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
281# Read a list of newline-separated strings from the standard input,
282# and print each of them once, without duplicates.  Input order is
283# *not* preserved.
284am__uniquify_input = $(AWK) '\
285  BEGIN { nonempty = 0; } \
286  { items[$$0] = 1; nonempty = 1; } \
287  END { if (nonempty) { for (i in items) print i; }; } \
288'
289# Make sure the list of sources is unique.  This is necessary because,
290# e.g., the same source file might be shared among _SOURCES variables
291# for different programs/libraries.
292am__define_uniq_tagged_files = \
293  list='$(am__tagged_files)'; \
294  unique=`for i in $$list; do \
295    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296  done | $(am__uniquify_input)`
297ETAGS = etags
298CTAGS = ctags
299am__tty_colors_dummy = \
300  mgn= red= grn= lgn= blu= brg= std=; \
301  am__color_tests=no
302am__tty_colors = { \
303  $(am__tty_colors_dummy); \
304  if test "X$(AM_COLOR_TESTS)" = Xno; then \
305    am__color_tests=no; \
306  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
307    am__color_tests=yes; \
308  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
309    am__color_tests=yes; \
310  fi; \
311  if test $$am__color_tests = yes; then \
312    red='[0;31m'; \
313    grn='[0;32m'; \
314    lgn='[1;32m'; \
315    blu='[1;34m'; \
316    mgn='[0;35m'; \
317    brg='[1m'; \
318    std='[m'; \
319  fi; \
320}
321am__recheck_rx = ^[     ]*:recheck:[    ]*
322am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
323am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
324# A command that, given a newline-separated list of test names on the
325# standard input, print the name of the tests that are to be re-run
326# upon "make recheck".
327am__list_recheck_tests = $(AWK) '{ \
328  recheck = 1; \
329  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
330    { \
331      if (rc < 0) \
332        { \
333          if ((getline line2 < ($$0 ".log")) < 0) \
334            recheck = 0; \
335          break; \
336        } \
337      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
338        { \
339          recheck = 0; \
340          break; \
341        } \
342      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
343        { \
344          break; \
345        } \
346    }; \
347  if (recheck) \
348    print $$0; \
349  close ($$0 ".trs"); \
350  close ($$0 ".log"); \
351}'
352# A command that, given a newline-separated list of test names on the
353# standard input, create the global log from their .trs and .log files.
354am__create_global_log = $(AWK) ' \
355function fatal(msg) \
356{ \
357  print "fatal: making $@: " msg | "cat >&2"; \
358  exit 1; \
359} \
360function rst_section(header) \
361{ \
362  print header; \
363  len = length(header); \
364  for (i = 1; i <= len; i = i + 1) \
365    printf "="; \
366  printf "\n\n"; \
367} \
368{ \
369  copy_in_global_log = 1; \
370  global_test_result = "RUN"; \
371  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
372    { \
373      if (rc < 0) \
374         fatal("failed to read from " $$0 ".trs"); \
375      if (line ~ /$(am__global_test_result_rx)/) \
376        { \
377          sub("$(am__global_test_result_rx)", "", line); \
378          sub("[        ]*$$", "", line); \
379          global_test_result = line; \
380        } \
381      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
382        copy_in_global_log = 0; \
383    }; \
384  if (copy_in_global_log) \
385    { \
386      rst_section(global_test_result ": " $$0); \
387      while ((rc = (getline line < ($$0 ".log"))) != 0) \
388      { \
389        if (rc < 0) \
390          fatal("failed to read from " $$0 ".log"); \
391        print line; \
392      }; \
393      printf "\n"; \
394    }; \
395  close ($$0 ".trs"); \
396  close ($$0 ".log"); \
397}'
398# Restructured Text title.
399am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
400# Solaris 10 'make', and several other traditional 'make' implementations,
401# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
402# by disabling -e (using the XSI extension "set +e") if it's set.
403am__sh_e_setup = case $$- in *e*) set +e;; esac
404# Default flags passed to test drivers.
405am__common_driver_flags = \
406  --color-tests "$$am__color_tests" \
407  --enable-hard-errors "$$am__enable_hard_errors" \
408  --expect-failure "$$am__expect_failure"
409# To be inserted before the command running the test.  Creates the
410# directory for the log if needed.  Stores in $dir the directory
411# containing $f, in $tst the test, in $log the log.  Executes the
412# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
413# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
414# will run the test scripts (or their associated LOG_COMPILER, if
415# thy have one).
416am__check_pre = \
417$(am__sh_e_setup);                                      \
418$(am__vpath_adj_setup) $(am__vpath_adj)                 \
419$(am__tty_colors);                                      \
420srcdir=$(srcdir); export srcdir;                        \
421case "$@" in                                            \
422  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
423    *) am__odir=.;;                                     \
424esac;                                                   \
425test "x$$am__odir" = x"." || test -d "$$am__odir"       \
426  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
427if test -f "./$$f"; then dir=./;                        \
428elif test -f "$$f"; then dir=;                          \
429else dir="$(srcdir)/"; fi;                              \
430tst=$$dir$$f; log='$@';                                 \
431if test -n '$(DISABLE_HARD_ERRORS)'; then               \
432  am__enable_hard_errors=no;                            \
433else                                                    \
434  am__enable_hard_errors=yes;                           \
435fi;                                                     \
436case " $(XFAIL_TESTS) " in                              \
437  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
438    am__expect_failure=yes;;                            \
439  *)                                                    \
440    am__expect_failure=no;;                             \
441esac;                                                   \
442$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
443# A shell command to get the names of the tests scripts with any registered
444# extension removed (i.e., equivalently, the names of the test logs, with
445# the '.log' extension removed).  The result is saved in the shell variable
446# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
447# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
448# since that might cause problem with VPATH rewrites for suffix-less tests.
449# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
450am__set_TESTS_bases = \
451  bases='$(TEST_LOGS)'; \
452  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
453  bases=`echo $$bases`
454RECHECK_LOGS = $(TEST_LOGS)
455TEST_SUITE_LOG = test-suite.log
456TEST_EXTENSIONS = @EXEEXT@ .test
457am__test_logs1 = $(TESTS:=.log)
458am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
459TEST_LOGS = $(am__test_logs2:.test.log=.log)
460TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
461TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
462        $(TEST_LOG_FLAGS)
463am__set_b = \
464  case '$@' in \
465    */*) \
466      case '$*' in \
467        */*) b='$*';; \
468          *) b=`echo '$@' | sed 's/\.log$$//'`; \
469       esac;; \
470    *) \
471      b='$*';; \
472  esac
473DIST_SUBDIRS = $(SUBDIRS)
474am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
475        $(top_srcdir)/cfgaux/test-driver \
476        $(top_srcdir)/doc/manuals/Substitute.am \
477        $(top_srcdir)/src/Common.am
478DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
479am__relativize = \
480  dir0=`pwd`; \
481  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
482  sed_rest='s,^[^/]*/*,,'; \
483  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
484  sed_butlast='s,/*[^/]*$$,,'; \
485  while test -n "$$dir1"; do \
486    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
487    if test "$$first" != "."; then \
488      if test "$$first" = ".."; then \
489        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
490        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
491      else \
492        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
493        if test "$$first2" = "$$first"; then \
494          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
495        else \
496          dir2="../$$dir2"; \
497        fi; \
498        dir0="$$dir0"/"$$first"; \
499      fi; \
500    fi; \
501    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
502  done; \
503  reldir="$$dir2"
504ACLOCAL = @ACLOCAL@
505ADAPTATION_LIBS = @ADAPTATION_LIBS@
506ALLOCA = @ALLOCA@
507AMTAR = @AMTAR@
508AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
509AR = @AR@
510AR_R = @AR_R@
511AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
512AUTH_MODULES = @AUTH_MODULES@
513AUTOCONF = @AUTOCONF@
514AUTOHEADER = @AUTOHEADER@
515AUTOMAKE = @AUTOMAKE@
516AWK = @AWK@
517BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
518BUILDCXX = @BUILDCXX@
519BUILDCXXFLAGS = @BUILDCXXFLAGS@
520BZR = @BZR@
521CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
522CC = @CC@
523CCDEPMODE = @CCDEPMODE@
524CFLAGS = @CFLAGS@
525CGIEXT = @CGIEXT@
526CHMOD = @CHMOD@
527CPP = @CPP@
528CPPFLAGS = @CPPFLAGS@
529CPPUNITCONFIG = @CPPUNITCONFIG@
530CRYPTLIB = @CRYPTLIB@
531CXX = @CXX@
532CXXCPP = @CXXCPP@
533CXXDEPMODE = @CXXDEPMODE@
534CXXFLAGS = @CXXFLAGS@
535CYGPATH_W = @CYGPATH_W@
536DEFAULT_HOSTS = @DEFAULT_HOSTS@
537DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
538DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
539DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
540DEFS = @DEFS@
541DEPDIR = @DEPDIR@
542DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
543DISK_LIBS = @DISK_LIBS@
544DISK_LINKOBJS = @DISK_LINKOBJS@
545DISK_MODULES = @DISK_MODULES@
546DISK_OS_LIBS = @DISK_OS_LIBS@
547DISK_PROGRAMS = @DISK_PROGRAMS@
548DLLTOOL = @DLLTOOL@
549DSYMUTIL = @DSYMUTIL@
550DUMPBIN = @DUMPBIN@
551ECAP_LIBS = @ECAP_LIBS@
552ECHO_C = @ECHO_C@
553ECHO_N = @ECHO_N@
554ECHO_T = @ECHO_T@
555EGREP = @EGREP@
556EPOLL_LIBS = @EPOLL_LIBS@
557EUILIB = @EUILIB@
558EXEEXT = @EXEEXT@
559EXPATLIB = @EXPATLIB@
560EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
561EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
562EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
563FALSE = @FALSE@
564FGREP = @FGREP@
565GREP = @GREP@
566HAVE_CXX11 = @HAVE_CXX11@
567ICAP_LIBS = @ICAP_LIBS@
568INCLTDL = @INCLTDL@
569INSTALL = @INSTALL@
570INSTALL_DATA = @INSTALL_DATA@
571INSTALL_PROGRAM = @INSTALL_PROGRAM@
572INSTALL_SCRIPT = @INSTALL_SCRIPT@
573INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
574KRB5INCS = @KRB5INCS@
575KRB5LIBS = @KRB5LIBS@
576LBERLIB = @LBERLIB@
577LD = @LD@
578LDAPLIB = @LDAPLIB@
579LDFLAGS = @LDFLAGS@
580LIBADD_DL = @LIBADD_DL@
581LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
582LIBADD_DLOPEN = @LIBADD_DLOPEN@
583LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
584LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
585LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
586LIBLTDL = @LIBLTDL@
587LIBOBJS = @LIBOBJS@
588LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
589LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
590LIBS = @LIBS@
591LIBSASL = @LIBSASL@
592LIBTOOL = @LIBTOOL@
593LIB_DB = @LIB_DB@
594LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
595LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
596LINUXDOC = @LINUXDOC@
597LIPO = @LIPO@
598LN = @LN@
599LN_S = @LN_S@
600LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
601LTDLDEPS = @LTDLDEPS@
602LTDLINCL = @LTDLINCL@
603LTDLOPEN = @LTDLOPEN@
604LTLIBOBJS = @LTLIBOBJS@
605LT_ARGZ_H = @LT_ARGZ_H@
606LT_CONFIG_H = @LT_CONFIG_H@
607LT_DLLOADERS = @LT_DLLOADERS@
608LT_DLPREOPEN = @LT_DLPREOPEN@
609LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
610MAINT = @MAINT@
611MAKEINFO = @MAKEINFO@
612MANIFEST_TOOL = @MANIFEST_TOOL@
613MINGW_LIBS = @MINGW_LIBS@
614MKDIR = @MKDIR@
615MKDIR_P = @MKDIR_P@
616MV = @MV@
617NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
618NETTLELIB = @NETTLELIB@
619NM = @NM@
620NMEDIT = @NMEDIT@
621NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
622OBJDUMP = @OBJDUMP@
623OBJEXT = @OBJEXT@
624OTOOL = @OTOOL@
625OTOOL64 = @OTOOL64@
626PACKAGE = @PACKAGE@
627PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
628PACKAGE_NAME = @PACKAGE_NAME@
629PACKAGE_STRING = @PACKAGE_STRING@
630PACKAGE_TARNAME = @PACKAGE_TARNAME@
631PACKAGE_URL = @PACKAGE_URL@
632PACKAGE_VERSION = @PACKAGE_VERSION@
633PATH_SEPARATOR = @PATH_SEPARATOR@
634PERL = @PERL@
635PKG_CONFIG = @PKG_CONFIG@
636PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
637PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
638PO2HTML = @PO2HTML@
639PO2TEXT = @PO2TEXT@
640POD2MAN = @POD2MAN@
641RANLIB = @RANLIB@
642REGEXLIB = @REGEXLIB@
643REPL_LIBS = @REPL_LIBS@
644REPL_OBJS = @REPL_OBJS@
645REPL_POLICIES = @REPL_POLICIES@
646RM = @RM@
647SED = @SED@
648SET_MAKE = @SET_MAKE@
649SH = @SH@
650SHELL = @SHELL@
651SMBCLIENT = @SMBCLIENT@
652SNMPLIB = @SNMPLIB@
653SQUID_CFLAGS = @SQUID_CFLAGS@
654SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
655SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
656SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
657SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
658SSLLIB = @SSLLIB@
659STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
660STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
661STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
662STORE_TESTS = @STORE_TESTS@
663STRIP = @STRIP@
664TR = @TR@
665TRUE = @TRUE@
666URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
667VERSION = @VERSION@
668WBINFO = @WBINFO@
669WIN32_PSAPI = @WIN32_PSAPI@
670XMLLIB = @XMLLIB@
671XTRA_LIBS = @XTRA_LIBS@
672XTRA_OBJS = @XTRA_OBJS@
673abs_builddir = @abs_builddir@
674abs_srcdir = @abs_srcdir@
675abs_top_builddir = @abs_top_builddir@
676abs_top_srcdir = @abs_top_srcdir@
677ac_ct_AR = @ac_ct_AR@
678ac_ct_CC = @ac_ct_CC@
679ac_ct_CXX = @ac_ct_CXX@
680ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
681am__include = @am__include@
682am__leading_dot = @am__leading_dot@
683am__quote = @am__quote@
684am__tar = @am__tar@
685am__untar = @am__untar@
686bindir = @bindir@
687build = @build@
688build_alias = @build_alias@
689build_cpu = @build_cpu@
690build_os = @build_os@
691build_vendor = @build_vendor@
692builddir = @builddir@
693datadir = @datadir@
694datarootdir = @datarootdir@
695docdir = @docdir@
696dvidir = @dvidir@
697exec_prefix = @exec_prefix@
698host = @host@
699host_alias = @host_alias@
700host_cpu = @host_cpu@
701host_os = @host_os@
702host_vendor = @host_vendor@
703htmldir = @htmldir@
704includedir = @includedir@
705infodir = @infodir@
706install_sh = @install_sh@
707krb5_config = @krb5_config@
708libdir = @libdir@
709libexecdir = @libexecdir@
710localedir = @localedir@
711localstatedir = @localstatedir@
712ltdl_LIBOBJS = @ltdl_LIBOBJS@
713ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
714mandir = @mandir@
715mkdir_p = @mkdir_p@
716oldincludedir = @oldincludedir@
717pdfdir = @pdfdir@
718prefix = @prefix@
719program_transform_name = @program_transform_name@
720psdir = @psdir@
721runstatedir = @runstatedir@
722sbindir = @sbindir@
723sharedstatedir = @sharedstatedir@
724srcdir = @srcdir@
725subdirs = @subdirs@
726sys_symbol_underscore = @sys_symbol_underscore@
727sysconfdir = @sysconfdir@
728target_alias = @target_alias@
729top_build_prefix = @top_build_prefix@
730top_builddir = @top_builddir@
731top_srcdir = @top_srcdir@
732AM_CFLAGS = $(SQUID_CFLAGS)
733AM_CXXFLAGS = $(SQUID_CXXFLAGS)
734CLEANFILES = test_tools.cc MemBuf.cc stub_debug.cc time.cc \
735        stub_cbdata.cc stub_mem.cc cachemgr.cgi.8
736AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
737        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
738        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
739        $(am__append_1) -I$(srcdir)
740@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
741@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
742COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
743subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
744SUBDIRS = purge squidclient systemd sysvinit
745EXTRA_DIST = helper-mux.pl helper-mux.README helper-ok-dying.pl \
746        helper-ok.pl cachemgr.conf cachemgr.cgi.8 cachemgr.cgi.8.in
747man_MANS = cachemgr.cgi.8
748DISTCLEANFILES =
749LDADD = \
750        $(top_builddir)/src/ip/libip.la \
751        $(top_builddir)/lib/libmiscencoding.la \
752        $(top_builddir)/lib/libmiscutil.la \
753        $(COMPAT_LIB) \
754        $(NETTLELIB) \
755        $(KRB5LIBS) \
756        $(XTRA_LIBS)
757
758SUBSTITUTE = sed "\
759        s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
760        s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
761        s%@""PACKAGE_STRING""@%$(PACKAGE_STRING)%g;\
762        s%@SYSCONFDIR@%$(sysconfdir)%g;\
763        "
764
765
766# stock tools for unit tests - library independent versions of dlink_list
767# etc.
768# globals.cc is needed by test_tools.cc.
769# Neither of these should be disted from here.
770TESTSOURCES = test_tools.cc
771libexec_SCRIPTS = helper-mux.pl
772DEFAULT_CACHEMGR_CONFIG = $(sysconfdir)/cachemgr.conf
773cachemgr__CGIEXT__SOURCES = cachemgr.cc \
774        MemBuf.cc \
775        stub_cbdata.cc \
776        stub_debug.cc \
777        stub_mem.cc \
778        test_tools.cc \
779        time.cc
780
781cachemgr__CGIEXT__CXXFLAGS = -DDEFAULT_CACHEMGR_CONFIG=\"$(DEFAULT_CACHEMGR_CONFIG)\" $(AM_CXXFLAGS)
782all: all-recursive
783
784.SUFFIXES:
785.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
786$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/doc/manuals/Substitute.am $(am__configure_deps)
787        @for dep in $?; do \
788          case '$(am__configure_deps)' in \
789            *$$dep*) \
790              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
791                && { if test -f $@; then exit 0; else break; fi; }; \
792              exit 1;; \
793          esac; \
794        done; \
795        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tools/Makefile'; \
796        $(am__cd) $(top_srcdir) && \
797          $(AUTOMAKE) --gnu tools/Makefile
798Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
799        @case '$?' in \
800          *config.status*) \
801            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
802          *) \
803            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
804            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
805        esac;
806$(top_srcdir)/src/Common.am $(top_srcdir)/doc/manuals/Substitute.am $(am__empty):
807
808$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
809        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
810
811$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
812        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
813$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
814        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
815$(am__aclocal_m4_deps):
816
817clean-checkPROGRAMS:
818        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
819        echo " rm -f" $$list; \
820        rm -f $$list || exit $$?; \
821        test -n "$(EXEEXT)" || exit 0; \
822        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
823        echo " rm -f" $$list; \
824        rm -f $$list
825install-libexecPROGRAMS: $(libexec_PROGRAMS)
826        @$(NORMAL_INSTALL)
827        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
828        if test -n "$$list"; then \
829          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
830          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
831        fi; \
832        for p in $$list; do echo "$$p $$p"; done | \
833        sed 's/$(EXEEXT)$$//' | \
834        while read p p1; do if test -f $$p \
835         || test -f $$p1 \
836          ; then echo "$$p"; echo "$$p"; else :; fi; \
837        done | \
838        sed -e 'p;s,.*/,,;n;h' \
839            -e 's|.*|.|' \
840            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
841        sed 'N;N;N;s,\n, ,g' | \
842        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
843          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
844            if ($$2 == $$4) files[d] = files[d] " " $$1; \
845            else { print "f", $$3 "/" $$4, $$1; } } \
846          END { for (d in files) print "f", d, files[d] }' | \
847        while read type dir files; do \
848            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
849            test -z "$$files" || { \
850            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
851            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
852            } \
853        ; done
854
855uninstall-libexecPROGRAMS:
856        @$(NORMAL_UNINSTALL)
857        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
858        files=`for p in $$list; do echo "$$p"; done | \
859          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
860              -e 's/$$/$(EXEEXT)/' \
861        `; \
862        test -n "$$list" || exit 0; \
863        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
864        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
865
866clean-libexecPROGRAMS:
867        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
868        echo " rm -f" $$list; \
869        rm -f $$list || exit $$?; \
870        test -n "$(EXEEXT)" || exit 0; \
871        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
872        echo " rm -f" $$list; \
873        rm -f $$list
874
875cachemgr$(CGIEXT)$(EXEEXT): $(cachemgr__CGIEXT__OBJECTS) $(cachemgr__CGIEXT__DEPENDENCIES) $(EXTRA_cachemgr__CGIEXT__DEPENDENCIES)
876        @rm -f cachemgr$(CGIEXT)$(EXEEXT)
877        $(AM_V_CXXLD)$(cachemgr__CGIEXT__LINK) $(cachemgr__CGIEXT__OBJECTS) $(cachemgr__CGIEXT__LDADD) $(LIBS)
878install-libexecSCRIPTS: $(libexec_SCRIPTS)
879        @$(NORMAL_INSTALL)
880        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
881        if test -n "$$list"; then \
882          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
883          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
884        fi; \
885        for p in $$list; do \
886          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
887          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
888        done | \
889        sed -e 'p;s,.*/,,;n' \
890            -e 'h;s|.*|.|' \
891            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
892        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
893          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
894            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
895              if (++n[d] == $(am__install_max)) { \
896                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
897            else { print "f", d "/" $$4, $$1 } } \
898          END { for (d in files) print "f", d, files[d] }' | \
899        while read type dir files; do \
900             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
901             test -z "$$files" || { \
902               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
903               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
904             } \
905        ; done
906
907uninstall-libexecSCRIPTS:
908        @$(NORMAL_UNINSTALL)
909        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
910        files=`for p in $$list; do echo "$$p"; done | \
911               sed -e 's,.*/,,;$(transform)'`; \
912        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
913
914mostlyclean-compile:
915        -rm -f *.$(OBJEXT)
916
917distclean-compile:
918        -rm -f *.tab.c
919
920@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Po@am__quote@
921@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po@am__quote@
922@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po@am__quote@
923@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po@am__quote@
924@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-stub_mem.Po@am__quote@
925@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po@am__quote@
926@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-time.Po@am__quote@
927
928.cc.o:
929@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
930@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
931@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
932@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
933@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
934@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
935
936.cc.obj:
937@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
938@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
939@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
940@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
941@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
942@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
943
944.cc.lo:
945@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
946@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
947@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
948@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
949@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
950@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
951
952cachemgr__CGIEXT_-cachemgr.o: cachemgr.cc
953@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-cachemgr.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo -c -o cachemgr__CGIEXT_-cachemgr.o `test -f 'cachemgr.cc' || echo '$(srcdir)/'`cachemgr.cc
954@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po
955@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cachemgr.cc' object='cachemgr__CGIEXT_-cachemgr.o' libtool=no @AMDEPBACKSLASH@
956@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-cachemgr.o `test -f 'cachemgr.cc' || echo '$(srcdir)/'`cachemgr.cc
958
959cachemgr__CGIEXT_-cachemgr.obj: cachemgr.cc
960@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-cachemgr.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo -c -o cachemgr__CGIEXT_-cachemgr.obj `if test -f 'cachemgr.cc'; then $(CYGPATH_W) 'cachemgr.cc'; else $(CYGPATH_W) '$(srcdir)/cachemgr.cc'; fi`
961@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po
962@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cachemgr.cc' object='cachemgr__CGIEXT_-cachemgr.obj' libtool=no @AMDEPBACKSLASH@
963@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
964@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-cachemgr.obj `if test -f 'cachemgr.cc'; then $(CYGPATH_W) 'cachemgr.cc'; else $(CYGPATH_W) '$(srcdir)/cachemgr.cc'; fi`
965
966cachemgr__CGIEXT_-MemBuf.o: MemBuf.cc
967@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-MemBuf.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Tpo -c -o cachemgr__CGIEXT_-MemBuf.o `test -f 'MemBuf.cc' || echo '$(srcdir)/'`MemBuf.cc
968@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Tpo $(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Po
969@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='MemBuf.cc' object='cachemgr__CGIEXT_-MemBuf.o' libtool=no @AMDEPBACKSLASH@
970@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
971@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-MemBuf.o `test -f 'MemBuf.cc' || echo '$(srcdir)/'`MemBuf.cc
972
973cachemgr__CGIEXT_-MemBuf.obj: MemBuf.cc
974@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-MemBuf.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Tpo -c -o cachemgr__CGIEXT_-MemBuf.obj `if test -f 'MemBuf.cc'; then $(CYGPATH_W) 'MemBuf.cc'; else $(CYGPATH_W) '$(srcdir)/MemBuf.cc'; fi`
975@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Tpo $(DEPDIR)/cachemgr__CGIEXT_-MemBuf.Po
976@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='MemBuf.cc' object='cachemgr__CGIEXT_-MemBuf.obj' libtool=no @AMDEPBACKSLASH@
977@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
978@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-MemBuf.obj `if test -f 'MemBuf.cc'; then $(CYGPATH_W) 'MemBuf.cc'; else $(CYGPATH_W) '$(srcdir)/MemBuf.cc'; fi`
979
980cachemgr__CGIEXT_-stub_cbdata.o: stub_cbdata.cc
981@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_cbdata.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo -c -o cachemgr__CGIEXT_-stub_cbdata.o `test -f 'stub_cbdata.cc' || echo '$(srcdir)/'`stub_cbdata.cc
982@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
983@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_cbdata.cc' object='cachemgr__CGIEXT_-stub_cbdata.o' libtool=no @AMDEPBACKSLASH@
984@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
985@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_cbdata.o `test -f 'stub_cbdata.cc' || echo '$(srcdir)/'`stub_cbdata.cc
986
987cachemgr__CGIEXT_-stub_cbdata.obj: stub_cbdata.cc
988@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_cbdata.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo -c -o cachemgr__CGIEXT_-stub_cbdata.obj `if test -f 'stub_cbdata.cc'; then $(CYGPATH_W) 'stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/stub_cbdata.cc'; fi`
989@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_cbdata.Po
990@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_cbdata.cc' object='cachemgr__CGIEXT_-stub_cbdata.obj' libtool=no @AMDEPBACKSLASH@
991@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_cbdata.obj `if test -f 'stub_cbdata.cc'; then $(CYGPATH_W) 'stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/stub_cbdata.cc'; fi`
993
994cachemgr__CGIEXT_-stub_debug.o: stub_debug.cc
995@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_debug.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o cachemgr__CGIEXT_-stub_debug.o `test -f 'stub_debug.cc' || echo '$(srcdir)/'`stub_debug.cc
996@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
997@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_debug.cc' object='cachemgr__CGIEXT_-stub_debug.o' libtool=no @AMDEPBACKSLASH@
998@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
999@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_debug.o `test -f 'stub_debug.cc' || echo '$(srcdir)/'`stub_debug.cc
1000
1001cachemgr__CGIEXT_-stub_debug.obj: stub_debug.cc
1002@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_debug.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o cachemgr__CGIEXT_-stub_debug.obj `if test -f 'stub_debug.cc'; then $(CYGPATH_W) 'stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/stub_debug.cc'; fi`
1003@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
1004@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_debug.cc' object='cachemgr__CGIEXT_-stub_debug.obj' libtool=no @AMDEPBACKSLASH@
1005@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_debug.obj `if test -f 'stub_debug.cc'; then $(CYGPATH_W) 'stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/stub_debug.cc'; fi`
1007
1008cachemgr__CGIEXT_-stub_mem.o: stub_mem.cc
1009@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_mem.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_mem.Tpo -c -o cachemgr__CGIEXT_-stub_mem.o `test -f 'stub_mem.cc' || echo '$(srcdir)/'`stub_mem.cc
1010@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_mem.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_mem.Po
1011@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_mem.cc' object='cachemgr__CGIEXT_-stub_mem.o' libtool=no @AMDEPBACKSLASH@
1012@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_mem.o `test -f 'stub_mem.cc' || echo '$(srcdir)/'`stub_mem.cc
1014
1015cachemgr__CGIEXT_-stub_mem.obj: stub_mem.cc
1016@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_mem.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_mem.Tpo -c -o cachemgr__CGIEXT_-stub_mem.obj `if test -f 'stub_mem.cc'; then $(CYGPATH_W) 'stub_mem.cc'; else $(CYGPATH_W) '$(srcdir)/stub_mem.cc'; fi`
1017@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_mem.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_mem.Po
1018@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_mem.cc' object='cachemgr__CGIEXT_-stub_mem.obj' libtool=no @AMDEPBACKSLASH@
1019@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_mem.obj `if test -f 'stub_mem.cc'; then $(CYGPATH_W) 'stub_mem.cc'; else $(CYGPATH_W) '$(srcdir)/stub_mem.cc'; fi`
1021
1022cachemgr__CGIEXT_-test_tools.o: test_tools.cc
1023@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-test_tools.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo -c -o cachemgr__CGIEXT_-test_tools.o `test -f 'test_tools.cc' || echo '$(srcdir)/'`test_tools.cc
1024@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po
1025@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test_tools.cc' object='cachemgr__CGIEXT_-test_tools.o' libtool=no @AMDEPBACKSLASH@
1026@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1027@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-test_tools.o `test -f 'test_tools.cc' || echo '$(srcdir)/'`test_tools.cc
1028
1029cachemgr__CGIEXT_-test_tools.obj: test_tools.cc
1030@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-test_tools.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo -c -o cachemgr__CGIEXT_-test_tools.obj `if test -f 'test_tools.cc'; then $(CYGPATH_W) 'test_tools.cc'; else $(CYGPATH_W) '$(srcdir)/test_tools.cc'; fi`
1031@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po
1032@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test_tools.cc' object='cachemgr__CGIEXT_-test_tools.obj' libtool=no @AMDEPBACKSLASH@
1033@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1034@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-test_tools.obj `if test -f 'test_tools.cc'; then $(CYGPATH_W) 'test_tools.cc'; else $(CYGPATH_W) '$(srcdir)/test_tools.cc'; fi`
1035
1036cachemgr__CGIEXT_-time.o: time.cc
1037@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-time.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo -c -o cachemgr__CGIEXT_-time.o `test -f 'time.cc' || echo '$(srcdir)/'`time.cc
1038@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo $(DEPDIR)/cachemgr__CGIEXT_-time.Po
1039@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='time.cc' object='cachemgr__CGIEXT_-time.o' libtool=no @AMDEPBACKSLASH@
1040@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1041@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-time.o `test -f 'time.cc' || echo '$(srcdir)/'`time.cc
1042
1043cachemgr__CGIEXT_-time.obj: time.cc
1044@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-time.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo -c -o cachemgr__CGIEXT_-time.obj `if test -f 'time.cc'; then $(CYGPATH_W) 'time.cc'; else $(CYGPATH_W) '$(srcdir)/time.cc'; fi`
1045@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo $(DEPDIR)/cachemgr__CGIEXT_-time.Po
1046@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='time.cc' object='cachemgr__CGIEXT_-time.obj' libtool=no @AMDEPBACKSLASH@
1047@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1048@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-time.obj `if test -f 'time.cc'; then $(CYGPATH_W) 'time.cc'; else $(CYGPATH_W) '$(srcdir)/time.cc'; fi`
1049
1050mostlyclean-libtool:
1051        -rm -f *.lo
1052
1053clean-libtool:
1054        -rm -rf .libs _libs
1055install-man8: $(man_MANS)
1056        @$(NORMAL_INSTALL)
1057        @list1=''; \
1058        list2='$(man_MANS)'; \
1059        test -n "$(man8dir)" \
1060          && test -n "`echo $$list1$$list2`" \
1061          || exit 0; \
1062        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
1063        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
1064        { for i in $$list1; do echo "$$i"; done;  \
1065        if test -n "$$list2"; then \
1066          for i in $$list2; do echo "$$i"; done \
1067            | sed -n '/\.8[a-z]*$$/p'; \
1068        fi; \
1069        } | while read p; do \
1070          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1071          echo "$$d$$p"; echo "$$p"; \
1072        done | \
1073        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
1074              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1075        sed 'N;N;s,\n, ,g' | { \
1076        list=; while read file base inst; do \
1077          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1078            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
1079            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
1080          fi; \
1081        done; \
1082        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1083        while read files; do \
1084          test -z "$$files" || { \
1085            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
1086            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
1087        done; }
1088
1089uninstall-man8:
1090        @$(NORMAL_UNINSTALL)
1091        @list=''; test -n "$(man8dir)" || exit 0; \
1092        files=`{ for i in $$list; do echo "$$i"; done; \
1093        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1094          sed -n '/\.8[a-z]*$$/p'; \
1095        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
1096              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1097        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
1098
1099# This directory's subdirectories are mostly independent; you can cd
1100# into them and run 'make' without going through this Makefile.
1101# To change the values of 'make' variables: instead of editing Makefiles,
1102# (1) if the variable is set in 'config.status', edit 'config.status'
1103#     (which will cause the Makefiles to be regenerated when you run 'make');
1104# (2) otherwise, pass the desired values on the 'make' command line.
1105$(am__recursive_targets):
1106        @fail=; \
1107        if $(am__make_keepgoing); then \
1108          failcom='fail=yes'; \
1109        else \
1110          failcom='exit 1'; \
1111        fi; \
1112        dot_seen=no; \
1113        target=`echo $@ | sed s/-recursive//`; \
1114        case "$@" in \
1115          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1116          *) list='$(SUBDIRS)' ;; \
1117        esac; \
1118        for subdir in $$list; do \
1119          echo "Making $$target in $$subdir"; \
1120          if test "$$subdir" = "."; then \
1121            dot_seen=yes; \
1122            local_target="$$target-am"; \
1123          else \
1124            local_target="$$target"; \
1125          fi; \
1126          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1127          || eval $$failcom; \
1128        done; \
1129        if test "$$dot_seen" = "no"; then \
1130          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1131        fi; test -z "$$fail"
1132
1133ID: $(am__tagged_files)
1134        $(am__define_uniq_tagged_files); mkid -fID $$unique
1135tags: tags-recursive
1136TAGS: tags
1137
1138tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1139        set x; \
1140        here=`pwd`; \
1141        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1142          include_option=--etags-include; \
1143          empty_fix=.; \
1144        else \
1145          include_option=--include; \
1146          empty_fix=; \
1147        fi; \
1148        list='$(SUBDIRS)'; for subdir in $$list; do \
1149          if test "$$subdir" = .; then :; else \
1150            test ! -f $$subdir/TAGS || \
1151              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1152          fi; \
1153        done; \
1154        $(am__define_uniq_tagged_files); \
1155        shift; \
1156        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1157          test -n "$$unique" || unique=$$empty_fix; \
1158          if test $$# -gt 0; then \
1159            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1160              "$$@" $$unique; \
1161          else \
1162            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1163              $$unique; \
1164          fi; \
1165        fi
1166ctags: ctags-recursive
1167
1168CTAGS: ctags
1169ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1170        $(am__define_uniq_tagged_files); \
1171        test -z "$(CTAGS_ARGS)$$unique" \
1172          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1173             $$unique
1174
1175GTAGS:
1176        here=`$(am__cd) $(top_builddir) && pwd` \
1177          && $(am__cd) $(top_srcdir) \
1178          && gtags -i $(GTAGS_ARGS) "$$here"
1179cscopelist: cscopelist-recursive
1180
1181cscopelist-am: $(am__tagged_files)
1182        list='$(am__tagged_files)'; \
1183        case "$(srcdir)" in \
1184          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1185          *) sdir=$(subdir)/$(srcdir) ;; \
1186        esac; \
1187        for i in $$list; do \
1188          if test -f "$$i"; then \
1189            echo "$(subdir)/$$i"; \
1190          else \
1191            echo "$$sdir/$$i"; \
1192          fi; \
1193        done >> $(top_builddir)/cscope.files
1194
1195distclean-tags:
1196        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1197
1198# Recover from deleted '.trs' file; this should ensure that
1199# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1200# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1201# to avoid problems with "make -n".
1202.log.trs:
1203        rm -f $< $@
1204        $(MAKE) $(AM_MAKEFLAGS) $<
1205
1206# Leading 'am--fnord' is there to ensure the list of targets does not
1207# expand to empty, as could happen e.g. with make check TESTS=''.
1208am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1209am--force-recheck:
1210        @:
1211
1212$(TEST_SUITE_LOG): $(TEST_LOGS)
1213        @$(am__set_TESTS_bases); \
1214        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1215        redo_bases=`for i in $$bases; do \
1216                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1217                    done`; \
1218        if test -n "$$redo_bases"; then \
1219          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1220          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1221          if $(am__make_dryrun); then :; else \
1222            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1223          fi; \
1224        fi; \
1225        if test -n "$$am__remaking_logs"; then \
1226          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1227               "recursion detected" >&2; \
1228        elif test -n "$$redo_logs"; then \
1229          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1230        fi; \
1231        if $(am__make_dryrun); then :; else \
1232          st=0;  \
1233          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1234          for i in $$redo_bases; do \
1235            test -f $$i.trs && test -r $$i.trs \
1236              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1237            test -f $$i.log && test -r $$i.log \
1238              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1239          done; \
1240          test $$st -eq 0 || exit 1; \
1241        fi
1242        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1243        ws='[   ]'; \
1244        results=`for b in $$bases; do echo $$b.trs; done`; \
1245        test -n "$$results" || results=/dev/null; \
1246        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1247        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1248        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1249        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1250        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1251        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1252        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1253        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1254          success=true; \
1255        else \
1256          success=false; \
1257        fi; \
1258        br='==================='; br=$$br$$br$$br$$br; \
1259        result_count () \
1260        { \
1261            if test x"$$1" = x"--maybe-color"; then \
1262              maybe_colorize=yes; \
1263            elif test x"$$1" = x"--no-color"; then \
1264              maybe_colorize=no; \
1265            else \
1266              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1267            fi; \
1268            shift; \
1269            desc=$$1 count=$$2; \
1270            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1271              color_start=$$3 color_end=$$std; \
1272            else \
1273              color_start= color_end=; \
1274            fi; \
1275            echo "$${color_start}# $$desc $$count$${color_end}"; \
1276        }; \
1277        create_testsuite_report () \
1278        { \
1279          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1280          result_count $$1 "PASS: " $$pass  "$$grn"; \
1281          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1282          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1283          result_count $$1 "FAIL: " $$fail  "$$red"; \
1284          result_count $$1 "XPASS:" $$xpass "$$red"; \
1285          result_count $$1 "ERROR:" $$error "$$mgn"; \
1286        }; \
1287        {                                                               \
1288          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1289            $(am__rst_title);                                           \
1290          create_testsuite_report --no-color;                           \
1291          echo;                                                         \
1292          echo ".. contents:: :depth: 2";                               \
1293          echo;                                                         \
1294          for b in $$bases; do echo $$b; done                           \
1295            | $(am__create_global_log);                                 \
1296        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1297        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1298        if $$success; then                                              \
1299          col="$$grn";                                                  \
1300         else                                                           \
1301          col="$$red";                                                  \
1302          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1303        fi;                                                             \
1304        echo "$${col}$$br$${std}";                                      \
1305        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1306        echo "$${col}$$br$${std}";                                      \
1307        create_testsuite_report --maybe-color;                          \
1308        echo "$$col$$br$$std";                                          \
1309        if $$success; then :; else                                      \
1310          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1311          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1312            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1313          fi;                                                           \
1314          echo "$$col$$br$$std";                                        \
1315        fi;                                                             \
1316        $$success || exit 1
1317
1318check-TESTS:
1319        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1320        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1321        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1322        @set +e; $(am__set_TESTS_bases); \
1323        log_list=`for i in $$bases; do echo $$i.log; done`; \
1324        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1325        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1326        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1327        exit $$?;
1328recheck: all $(check_PROGRAMS)
1329        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1330        @set +e; $(am__set_TESTS_bases); \
1331        bases=`for i in $$bases; do echo $$i; done \
1332                 | $(am__list_recheck_tests)` || exit 1; \
1333        log_list=`for i in $$bases; do echo $$i.log; done`; \
1334        log_list=`echo $$log_list`; \
1335        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1336                am__force_recheck=am--force-recheck \
1337                TEST_LOGS="$$log_list"; \
1338        exit $$?
1339.test.log:
1340        @p='$<'; \
1341        $(am__set_b); \
1342        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1343        --log-file $$b.log --trs-file $$b.trs \
1344        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1345        "$$tst" $(AM_TESTS_FD_REDIRECT)
1346@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1347@am__EXEEXT_TRUE@       @p='$<'; \
1348@am__EXEEXT_TRUE@       $(am__set_b); \
1349@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1350@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1351@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1352@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1353
1354distdir: $(DISTFILES)
1355        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1356        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1357        list='$(DISTFILES)'; \
1358          dist_files=`for file in $$list; do echo $$file; done | \
1359          sed -e "s|^$$srcdirstrip/||;t" \
1360              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1361        case $$dist_files in \
1362          */*) $(MKDIR_P) `echo "$$dist_files" | \
1363                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1364                           sort -u` ;; \
1365        esac; \
1366        for file in $$dist_files; do \
1367          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1368          if test -d $$d/$$file; then \
1369            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1370            if test -d "$(distdir)/$$file"; then \
1371              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1372            fi; \
1373            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1374              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1375              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1376            fi; \
1377            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1378          else \
1379            test -f "$(distdir)/$$file" \
1380            || cp -p $$d/$$file "$(distdir)/$$file" \
1381            || exit 1; \
1382          fi; \
1383        done
1384        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1385          if test "$$subdir" = .; then :; else \
1386            $(am__make_dryrun) \
1387              || test -d "$(distdir)/$$subdir" \
1388              || $(MKDIR_P) "$(distdir)/$$subdir" \
1389              || exit 1; \
1390            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1391            $(am__relativize); \
1392            new_distdir=$$reldir; \
1393            dir1=$$subdir; dir2="$(top_distdir)"; \
1394            $(am__relativize); \
1395            new_top_distdir=$$reldir; \
1396            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1397            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1398            ($(am__cd) $$subdir && \
1399              $(MAKE) $(AM_MAKEFLAGS) \
1400                top_distdir="$$new_top_distdir" \
1401                distdir="$$new_distdir" \
1402                am__remove_distdir=: \
1403                am__skip_length_check=: \
1404                am__skip_mode_fix=: \
1405                distdir) \
1406              || exit 1; \
1407          fi; \
1408        done
1409check-am: all-am
1410        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1411        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1412check: check-recursive
1413all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
1414installdirs: installdirs-recursive
1415installdirs-am:
1416        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1417          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1418        done
1419install: install-recursive
1420install-exec: install-exec-recursive
1421install-data: install-data-recursive
1422uninstall: uninstall-recursive
1423
1424install-am: all-am
1425        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1426
1427installcheck: installcheck-recursive
1428install-strip:
1429        if test -z '$(STRIP)'; then \
1430          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1431            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1432              install; \
1433        else \
1434          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1435            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1436            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1437        fi
1438mostlyclean-generic:
1439        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1440        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1441        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1442
1443clean-generic:
1444        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1445
1446distclean-generic:
1447        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1448        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1449        -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1450
1451maintainer-clean-generic:
1452        @echo "This command is intended for maintainers to use"
1453        @echo "it deletes files that may require special tools to rebuild."
1454clean: clean-recursive
1455
1456clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1457        clean-libtool mostlyclean-am
1458
1459distclean: distclean-recursive
1460        -rm -rf ./$(DEPDIR)
1461        -rm -f Makefile
1462distclean-am: clean-am distclean-compile distclean-generic \
1463        distclean-tags
1464
1465dvi: dvi-recursive
1466
1467dvi-am:
1468
1469html: html-recursive
1470
1471html-am:
1472
1473info: info-recursive
1474
1475info-am:
1476
1477install-data-am: install-data-local install-man
1478
1479install-dvi: install-dvi-recursive
1480
1481install-dvi-am:
1482
1483install-exec-am: install-libexecPROGRAMS install-libexecSCRIPTS
1484
1485install-html: install-html-recursive
1486
1487install-html-am:
1488
1489install-info: install-info-recursive
1490
1491install-info-am:
1492
1493install-man: install-man8
1494
1495install-pdf: install-pdf-recursive
1496
1497install-pdf-am:
1498
1499install-ps: install-ps-recursive
1500
1501install-ps-am:
1502
1503installcheck-am:
1504
1505maintainer-clean: maintainer-clean-recursive
1506        -rm -rf ./$(DEPDIR)
1507        -rm -f Makefile
1508maintainer-clean-am: distclean-am maintainer-clean-generic
1509
1510mostlyclean: mostlyclean-recursive
1511
1512mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1513        mostlyclean-libtool
1514
1515pdf: pdf-recursive
1516
1517pdf-am:
1518
1519ps: ps-recursive
1520
1521ps-am:
1522
1523uninstall-am: uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS \
1524        uninstall-local uninstall-man
1525
1526uninstall-man: uninstall-man8
1527
1528.MAKE: $(am__recursive_targets) check-am install-am install-strip
1529
1530.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1531        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1532        clean-libexecPROGRAMS clean-libtool cscopelist-am ctags \
1533        ctags-am distclean distclean-compile distclean-generic \
1534        distclean-libtool distclean-tags distdir dvi dvi-am html \
1535        html-am info info-am install install-am install-data \
1536        install-data-am install-data-local install-dvi install-dvi-am \
1537        install-exec install-exec-am install-html install-html-am \
1538        install-info install-info-am install-libexecPROGRAMS \
1539        install-libexecSCRIPTS install-man install-man8 install-pdf \
1540        install-pdf-am install-ps install-ps-am install-strip \
1541        installcheck installcheck-am installdirs installdirs-am \
1542        maintainer-clean maintainer-clean-generic mostlyclean \
1543        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1544        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1545        uninstall-am uninstall-libexecPROGRAMS \
1546        uninstall-libexecSCRIPTS uninstall-local uninstall-man \
1547        uninstall-man8
1548
1549.PRECIOUS: Makefile
1550
1551
1552$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1553
1554test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
1555        cp $(top_srcdir)/test-suite/test_tools.cc .
1556
1557stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
1558        cp $(top_srcdir)/src/tests/stub_debug.cc .
1559
1560MemBuf.cc: $(top_srcdir)/src/MemBuf.cc
1561        cp $(top_srcdir)/src/MemBuf.cc $@
1562
1563time.cc: $(top_srcdir)/src/time.cc
1564        cp $(top_srcdir)/src/time.cc .
1565
1566stub_cbdata.cc: $(top_srcdir)/src/tests/stub_cbdata.cc
1567        cp $(top_srcdir)/src/tests/stub_cbdata.cc $@
1568
1569stub_mem.cc: $(top_srcdir)/src/tests/stub_mem.cc
1570        cp $(top_srcdir)/src/tests/stub_mem.cc $@
1571
1572cachemgr.cgi.8: $(srcdir)/cachemgr.cgi.8.in Makefile
1573        $(SUBSTITUTE) < $(srcdir)/cachemgr.cgi.8.in > $@
1574
1575install-data-local:
1576        $(INSTALL_DATA) $(srcdir)/cachemgr.conf $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG).default
1577        @if test -f $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG) ; then \
1578                echo "$@ will not overwrite existing $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG)" ; \
1579        else \
1580                echo "$(INSTALL_DATA) $(srcdir)/cachemgr.conf $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG)"; \
1581                $(INSTALL_DATA) $(srcdir)/cachemgr.conf $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG); \
1582        fi
1583
1584uninstall-local:
1585        @$(SHELL) $(top_srcdir)/scripts/remove-cfg.sh "$(RM)" $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG)
1586        $(RM) -f $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG).default
1587
1588# Tell versions [3.59,3.63) of GNU make to not export all variables.
1589# Otherwise a system limit (for SysV at least) may be exceeded.
1590.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.